#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st_sensors_debugfs_reg_access, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_odr, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_axis_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_power_enable, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_dev_name_probe, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_init_sensor, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_dataready_irq, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_set_fullscale_by_gain, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_read_info_raw, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_get_settings_index, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_verify_id, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_sampling_frequency_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_sysfs_scale_avail, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_trigger_handler, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_allocate_trigger, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_sensors_validate_device, "", "IIO_ST_SENSORS");

SYMBOL_CRC(st_sensors_debugfs_reg_access, 0xc76be58c, "");
SYMBOL_CRC(st_sensors_set_odr, 0xb07de0f8, "");
SYMBOL_CRC(st_sensors_set_enable, 0x3d0d6c00, "");
SYMBOL_CRC(st_sensors_set_axis_enable, 0xed0718ff, "");
SYMBOL_CRC(st_sensors_power_enable, 0xc7fe3b83, "");
SYMBOL_CRC(st_sensors_dev_name_probe, 0x0a220586, "");
SYMBOL_CRC(st_sensors_init_sensor, 0xb732ebc8, "");
SYMBOL_CRC(st_sensors_set_dataready_irq, 0xed9e6db6, "");
SYMBOL_CRC(st_sensors_set_fullscale_by_gain, 0xebcee03f, "");
SYMBOL_CRC(st_sensors_read_info_raw, 0x5f73766e, "");
SYMBOL_CRC(st_sensors_get_settings_index, 0x9795360b, "");
SYMBOL_CRC(st_sensors_verify_id, 0xffaefa7c, "");
SYMBOL_CRC(st_sensors_sysfs_sampling_frequency_avail, 0x7eb6ae1a, "");
SYMBOL_CRC(st_sensors_sysfs_scale_avail, 0x37a43597, "");
SYMBOL_CRC(st_sensors_trigger_handler, 0x074d7047, "");
SYMBOL_CRC(st_sensors_allocate_trigger, 0x8c6f4fa3, "");
SYMBOL_CRC(st_sensors_validate_device, 0x09cb86c0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e9c2b2f, "device_property_present" },
	{ 0x99efc0ba, "regmap_write" },
	{ 0xb2214cad, "devm_request_threaded_irq" },
	{ 0x11e6cb56, "devm_kmalloc" },
	{ 0xa0d6cab0, "iio_push_to_buffers" },
	{ 0x96848186, "scnprintf" },
	{ 0x4671d987, "iio_device_release_direct_mode" },
	{ 0x37a0cba, "kfree" },
	{ 0x6bce2ad2, "__module_get" },
	{ 0xe127bd74, "get_device" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0x7a3ee44f, "device_property_read_u32_array" },
	{ 0x876e5cd3, "_dev_info" },
	{ 0x2544e062, "iio_device_claim_direct_mode" },
	{ 0xd1005013, "_dev_err" },
	{ 0xd79fc30e, "irq_get_irq_data" },
	{ 0x994f02c8, "iio_trigger_poll_nested" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfca49b80, "iio_trigger_using_own" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8864d1be, "devm_regulator_bulk_get_enable" },
	{ 0xa8e52f90, "device_get_match_data" },
	{ 0xc93d745a, "devm_iio_trigger_register" },
	{ 0x2a13cdbd, "iio_get_time_ns" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3eef6dbb, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6cf4307e, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6c3c237e, "regmap_update_bits_base" },
	{ 0xda394c99, "dev_err_probe" },
	{ 0x789344df, "iio_trigger_notify_done" },
	{ 0x2670bb17, "__devm_iio_trigger_alloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1da004f7, "__dev_fwnode" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio");

